org.apache.hadoop.hdfs.server.namenode

## Class ContentCounts.Builder

- java.lang.Object
- - org.apache.hadoop.hdfs.server.namenode.ContentCounts.Builder

- Enclosing class:
    ContentCounts

      public static class ContentCounts.Builder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContentCounts` | `build()`
    `ContentCounts.Builder` | `directory(long directory)`
    `ContentCounts.Builder` | `file(long file)`
    `ContentCounts.Builder` | `length(long length)`
    `ContentCounts.Builder` | `snapshot(long snapshot)`
    `ContentCounts.Builder` | `snapshotable_directory(long snapshotable_directory)`
    `ContentCounts.Builder` | `storagespace(long storagespace)`
    `ContentCounts.Builder` | `symlink(long symlink)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### file

          public ContentCounts.Builder file(long file)

    - #### directory

          public ContentCounts.Builder directory(long directory)

    - #### symlink

          public ContentCounts.Builder symlink(long symlink)

    - #### length

          public ContentCounts.Builder length(long length)

    - #### storagespace

          public ContentCounts.Builder storagespace(long storagespace)

    - #### snapshot

          public ContentCounts.Builder snapshot(long snapshot)

    - #### snapshotable_directory

          public ContentCounts.Builder snapshotable_directory(long snapshotable_directory)

    - #### build

          public ContentCounts build()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.